Content Manager Enterprise Studio 25.1 Enterprise Studio

# Connection Settings dialog box for Oracle

The Connection Settings dialog box for Oracle appears when you click KwikSelect for the Database Connection String field in the Connection dialog box.

When using this dialog box for connecting to Oracle via OCI, the following information is required:

- Data Source - there are 2 possible formats on what can be entered here:
  - <IP Address>[,<Port Number>] - the IP Address (and port number) of the Oracle Server. Connecting to the database that is set as the current ORACLE_HOME for the Oracle server.
  - <Service Name> - the name used to identify the specific Oracle database in Oracle’s Transparent Network Substrate (TNS).

NOTE: See CM24.4_Spec.pdf for specific requirements for Oracle to enable you to decide what the correct option is for your setup.

- Use wallet for credentials - select this option if an Oracle wallet is being used to store credentials.
- Use homogeneous session pool - available if an Oracle wallet is not enabled - select this option to create all sessions pools as homogeneous connections.
- User Name - enter the name of the schema (user), created within the Oracle database.
- Password - enter the appropriate password for the User Name provided.
- Click the Test Connection button to verify these details.
  A message that the test connection succeeded will appear when the connection to the database is working. Otherwise, refer to your RDBMS documentation to resolve any errors that may occur.
- Session Pool settings
  - Maximum number of sessions - default value =1000 - set the maximum number of sessions for the session pool.

  IMPORTANT: This setting has been moved from the Workgroup Server - Settings options, Maximum size of database connection pool for Oracle datasets. If you had modified this setting in earlier versions of Content Manager, after upgrading to version 10.0+, you will need to update this value to match.

  - Minimum number of sessions - default value = 100 - available if homogeneous session pool is enabled - this is the minimum number of sessions that the session pool starts with and then it creates session as and when required until the size hits the maximum value set as the Maximum number of sessions value.
  - Session increment - default value = 25 - available if homogeneous session pool is enabled - a new session request will create this many sessions at one go until the size hits the Maximum number of sessions setting.
  - Session idle timeout - default value = 0 - this is not time out, any value given here is the time out for idle sessions.

Press OK to accept the details and return to the Connection dialog box.

Copyright 2008-2025 Open Text
Version 25.1 | Last updated October 2024
Contact

Send documentation feedback

Close

Send documentation feedback

To send feedback using your default email client, open an email window.

Otherwise, send your feedback and the information below to hprmdocumentation@microfocus.com.

We appreciate your feedback!

Product: Content Manager Enterprise Studio 25.1

Topic Title: Connection Settings dialog box for Oracle